Summary:	Lightweight volume control
Name:		volumeicon
Version:	0.5.1
Release:	%mkrel 5
Group:		Graphical desktop/Other
License:	GPLv3+
URL:		https://nullwise.com/pages/volumeicon/volumeicon.html
Source0:	https://nullwise.com/pages/volumeicon/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	intltool
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(alsa)

%description
Volume Icon aims to be a lightweight volume control that sits
in your systray.

Features:

* Change volume by scrolling on the systray icon
* Ability to choose which channel to control
* Configurable step size (percentage of volume increase/decrease
  per scroll wheel step)
* Several icon themes (with gtk theme as default)
* Configurable external mixer
* Volume Slider


%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=volumeicon
Comment=Volume Icon
Exec=%{name}
Terminal=false
Type=Application
Icon=%{_datadir}/%{name}/gui/appicon.svg
Categories=AudioVideo;Audio
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.5.1-5.mga10
+ Revision: 2212925
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.5.1-4.mga9
+ Revision: 1835937
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.5.1-3.mga8
+ Revision: 1518053
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1301636
- Mageia 7 Mass Rebuild

* Sat Feb 04 2017 daviddavid <daviddavid> 0.5.1-1.mga6
+ Revision: 1084809
- new version: 0.5.1
- port to GTK+ 3
- update URL and Source URL
- add back translation files

* Wed Feb 17 2016 umeabot <umeabot> 0.4.6-8.mga6
+ Revision: 963213
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 0.4.6-7.mga6
+ Revision: 894115
- remove empty lang files to fix build with latest rpm
- fix BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 0.4.6-6.mga5
+ Revision: 739444
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.6-5.mga5
+ Revision: 690234
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.6-4.mga4
+ Revision: 520061
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.6-3.mga3
+ Revision: 385482
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 hman <hman> 0.4.6-2.mga2
+ Revision: 219319
- fix glib.h_include patch
- fix glib.h_include patch
- added glib.h include patch
- removed unused files
- update to 0.4.6
- imported package volumeicon


* Fri Dec 23 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.3-3mdv2012.0
+ Revision: 744728
- add patch for include only 'toplevel' headers glib
- enable hotkey by default
- fix url and version for fork by Mandriva LXDE projects

* Sat Aug 06 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.3-1
+ Revision: 693411
- new version 0.4.3

* Tue Jul 19 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-4
+ Revision: 690605
- change left mouse button action to view volume slider by default

* Sat Jun 25 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-3
+ Revision: 687151
- add localized version. You may now translate it.
- fix backports buildrequires issue

* Mon Jun 13 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-1
+ Revision: 684445
- new version 0.4.1
- import volumeicon


* Tue Apr 06 2010 slick50 <lxgator@gmail.com> 0.2.1-1pclos2010
- initial pkg

